View addresses - customer context - Fabric
View addresses - customer context
cURL
curl --request GET \
--url 'https://api.fabric.inc/v3/customers/self/customer-address?sort=-updatedAt' \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.fabric.inc/v3/customers/self/customer-address?sort=-updatedAt"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fabric.inc/v3/customers/self/customer-address?sort=-updatedAt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://api.fabric.inc/v3/customers/self/customer-address?sort=-updatedAt",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "GET",\
CURLOPT_HTTPHEADER => [\
"Authorization: Bearer <token>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/customers/self/customer-address?sort=-updatedAt"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://api.fabric.inc/v3/customers/self/customer-address?sort=-updatedAt")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/customers/self/customer-address?sort=-updatedAt")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response Status Codes
200: OK
400: Bad Request
403: Forbidden
404: Not Found
500: Internal Server Error
Sample Response
{
"query": {
"offset": 0,
"limit": 20,
"count": 100
},
"data": [
{
"id": "61604a30fdfacd0009816e44",
"address": {
"type": "BILLING",
"addressLine1": "123 Main St.",
"addressLine2": "Suite 100",
"addressLine3": "Seventh floor",
"addressLine4": "Attention: Pat E. Doe",
"city": "Seattle",
"region": "WA",
"postalCode": 98121,
"county": "King County",
"country": "US",
"latitude": 47.6205,
"longitude": -122.3493
},
"isDeleted": false,
"createdAt": "2023-08-30T23:20:42.822Z",
"updatedAt": "2023-08-30T23:20:42.822Z",
"additionalAttributes": {
"landmark": "Beach"
},
"isDefault": false,
"deletedAt": "2023-08-30T23:20:42.822Z"
}
]
}
Error Response Samples
{
"type": "INVALID_ACCOUNT_PROVIDED",
"message": "Invalid account provided for the request."
}
{
"type": "REQUEST_DENIED",
"message": "Forbidden"
}
{
"type": "CUSTOMER_NOT_FOUND",
"message": "Data with the given identifier isn't found"
}
{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}
Authorization
- Authorization: string (required) - The access token.
Headers
- x-fabric-tenant-id: string - A header used by fabric to identify the tenant making the request. This header is required.
Query Parameters
- offset: integer (default:
0) - The number of records to skip before returning records.
- limit: integer (default:
10) - The maximum number of records in a single page.
- sort: string (default:
-updatedAt) - The criteria to sort results.
- isDeleted: boolean (default:
false) - A flag indicating whether only the deleted addresses are returned in the response.